commit a85c067ba6c6940512cf57ec213277a370d87e70
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 27 14:38:37 2022 +0000

    SPDX: license tags (mostly by guesswork)

diff --git a/src/exim_monitor/em_StripChart.c b/src/exim_monitor/em_StripChart.c
index 3b94c2231..3eb98e4fb 100644
--- a/src/exim_monitor/em_StripChart.c
+++ b/src/exim_monitor/em_StripChart.c
@@ -1,3 +1,4 @@
+/* SPDX-License-Identifier: GPL-2.0-only */
 /***********************************************************
 Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts,
 and the Massachusetts Institute of Technology, Cambridge, Massachusetts.
diff --git a/src/exim_monitor/em_TextPop.c b/src/exim_monitor/em_TextPop.c
index ff5d1a8f7..0e87cb580 100644
--- a/src/exim_monitor/em_TextPop.c
+++ b/src/exim_monitor/em_TextPop.c
@@ -2,6 +2,7 @@
 Copyright (c) The Exim Maintainers 2022
 Copyright 1989 by the Massachusetts Institute of Technology,
 Cambridge, Massachusetts.
+SPDX-License-Identifier: GPL-2.0-only
 
                         All Rights Reserved
 
diff --git a/src/exim_monitor/em_globals.c b/src/exim_monitor/em_globals.c
index 3d452c6ec..2943065b4 100644
--- a/src/exim_monitor/em_globals.c
+++ b/src/exim_monitor/em_globals.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_hdr.h b/src/exim_monitor/em_hdr.h
index ab37806b7..76970c997 100644
--- a/src/exim_monitor/em_hdr.h
+++ b/src/exim_monitor/em_hdr.h
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /* This is the general header file for all the modules that comprise
diff --git a/src/exim_monitor/em_init.c b/src/exim_monitor/em_init.c
index e0bc3b066..e1f53fbba 100644
--- a/src/exim_monitor/em_init.c
+++ b/src/exim_monitor/em_init.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module contains code to initialize things from the
 environment and the arguments. */
diff --git a/src/exim_monitor/em_log.c b/src/exim_monitor/em_log.c
index 8d85c13f1..d625056c5 100644
--- a/src/exim_monitor/em_log.c
+++ b/src/exim_monitor/em_log.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainters 2021 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module contains code for scanning the main log,
 extracting information from it, and displaying a "tail". */
diff --git a/src/exim_monitor/em_main.c b/src/exim_monitor/em_main.c
index 86caf71eb..919cde632 100644
--- a/src/exim_monitor/em_main.c
+++ b/src/exim_monitor/em_main.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_menu.c b/src/exim_monitor/em_menu.c
index 881f3748c..afcd31540 100644
--- a/src/exim_monitor/em_menu.c
+++ b/src/exim_monitor/em_menu.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_queue.c b/src/exim_monitor/em_queue.c
index 9badd2451..d9cfad38a 100644
--- a/src/exim_monitor/em_queue.c
+++ b/src/exim_monitor/em_queue.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_strip.c b/src/exim_monitor/em_strip.c
index 03864d290..cfafe9257 100644
--- a/src/exim_monitor/em_strip.c
+++ b/src/exim_monitor/em_strip.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_text.c b/src/exim_monitor/em_text.c
index 3a3682959..1077353e0 100644
--- a/src/exim_monitor/em_text.c
+++ b/src/exim_monitor/em_text.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "em_hdr.h"
diff --git a/src/exim_monitor/em_version.c b/src/exim_monitor/em_version.c
index b627a6e2b..c5d4d62d8 100644
--- a/src/exim_monitor/em_version.c
+++ b/src/exim_monitor/em_version.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #define EM_VERSION_C
 
diff --git a/src/exim_monitor/em_xs.c b/src/exim_monitor/em_xs.c
index ee91f7c15..dd19c7f43 100644
--- a/src/exim_monitor/em_xs.c
+++ b/src/exim_monitor/em_xs.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge, 1995 - 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file contains a number of subroutines that are in effect
 just alternative packaging for calls to various X functions that
diff --git a/src/scripts/Configure-config.h b/src/scripts/Configure-config.h
index 75d366fca..c750f64f1 100755
--- a/src/scripts/Configure-config.h
+++ b/src/scripts/Configure-config.h
@@ -1,4 +1,5 @@
 #! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 # Build the config.h file, using the buildconfig program, first ensuring that
 # it exists.
diff --git a/src/scripts/Configure-os.c b/src/scripts/Configure-os.c
index f00a5627a..ab40ad183 100755
--- a/src/scripts/Configure-os.c
+++ b/src/scripts/Configure-os.c
@@ -1,4 +1,5 @@
 #! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 # Shell script to build os.c. There doesn't have to be an OS-specific os.c
 # file, but if there is, it gets copied at the start of os.c. The basic src
diff --git a/src/scripts/Configure-os.h b/src/scripts/Configure-os.h
index ae1ecf943..f95a61a5d 100755
--- a/src/scripts/Configure-os.h
+++ b/src/scripts/Configure-os.h
@@ -1,4 +1,5 @@
 #! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 # Shell script to create a link to the appropriate OS-specific header file.
 
diff --git a/src/src/acl.c b/src/src/acl.c
index 1e7d28a90..92af9991f 100644
--- a/src/src/acl.c
+++ b/src/src/acl.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Code for handling Access Control Lists (ACLs) */
 
diff --git a/src/src/arc.c b/src/src/arc.c
index 86688f6e3..e3a2b3dad 100644
--- a/src/src/arc.c
+++ b/src/src/arc.c
@@ -5,6 +5,7 @@
    Copyright (c) Jeremy Harris 2018 - 2020
    Copyright (c) The Exim Maintainers 2021 - 2022
    License: GPL
+   SPDX-License-Identifier: GPL-2.0-only
 */
 
 #include "exim.h"
diff --git a/src/src/auths/auth-spa.c b/src/src/auths/auth-spa.c
index 8d886b6b6..32276c3f3 100644
--- a/src/src/auths/auth-spa.c
+++ b/src/src/auths/auth-spa.c
@@ -10,6 +10,7 @@
  * Samba project (by Andrew Tridgell, Jeremy Allison, and others).
  *
  * Copyright (c) The Exim Maintainers 2021
+ * SPDX-License-Identifier: GPL-2.0-only
 
  * Tom Kistner provided additional code, adding spa_build_auth_challenge() to
  * support server authentication mode.
diff --git a/src/src/auths/auth-spa.h b/src/src/auths/auth-spa.h
index cfe1b086d..df250d7a6 100644
--- a/src/src/auths/auth-spa.h
+++ b/src/src/auths/auth-spa.h
@@ -9,6 +9,7 @@
  * All the code used here was torn by Marc Prud'hommeaux out of the
  * Samba project (by Andrew Tridgell, Jeremy Allison, and others).
  */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* December 2004: The spa_base64_to_bits() function has no length checking in
 it. I have added a check. PH */
diff --git a/src/src/auths/call_pam.c b/src/src/auths/call_pam.c
index 80f80f1a8..483b083be 100644
--- a/src/src/auths/call_pam.c
+++ b/src/src/auths/call_pam.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/call_pwcheck.c b/src/src/auths/call_pwcheck.c
index 0adde4471..436b1a8de 100644
--- a/src/src/auths/call_pwcheck.c
+++ b/src/src/auths/call_pwcheck.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module contains interface functions to the two Cyrus authentication
 daemons. The original one was "pwcheck", which gives its name to the source
diff --git a/src/src/auths/call_radius.c b/src/src/auths/call_radius.c
index e7f9f521d..f4d7a9569 100644
--- a/src/src/auths/call_radius.c
+++ b/src/src/auths/call_radius.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file was originally supplied by Ian Kirk. The libradius support came
 from Alex Kiernan. */
diff --git a/src/src/auths/check_serv_cond.c b/src/src/auths/check_serv_cond.c
index 457a7150c..033d2026b 100644
--- a/src/src/auths/check_serv_cond.c
+++ b/src/src/auths/check_serv_cond.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/cram_md5.c b/src/src/auths/cram_md5.c
index 2c0616ca2..60128b83e 100644
--- a/src/src/auths/cram_md5.c
+++ b/src/src/auths/cram_md5.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /* The stand-alone version just tests the algorithm. We have to drag
diff --git a/src/src/auths/cram_md5.h b/src/src/auths/cram_md5.h
index 95644db68..25470a61b 100644
--- a/src/src/auths/cram_md5.h
+++ b/src/src/auths/cram_md5.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/cyrus_sasl.c b/src/src/auths/cyrus_sasl.c
index c8e2da5de..4fe257ba7 100644
--- a/src/src/auths/cyrus_sasl.c
+++ b/src/src/auths/cyrus_sasl.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This code was originally contributed by Matthew Byng-Maddick */
 
diff --git a/src/src/auths/cyrus_sasl.h b/src/src/auths/cyrus_sasl.h
index 6cf883454..144ac5c80 100644
--- a/src/src/auths/cyrus_sasl.h
+++ b/src/src/auths/cyrus_sasl.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Copyright (c) A L Digital Ltd 2004 */
 
diff --git a/src/src/auths/dovecot.c b/src/src/auths/dovecot.c
index 5d7713389..ed56ab8cd 100644
--- a/src/src/auths/dovecot.c
+++ b/src/src/auths/dovecot.c
@@ -1,6 +1,7 @@
 /*
  * Copyright (c) The Exim Maintainers 2006 - 2022
  * Copyright (c) 2004 Andrey Panin <pazke@donpac.ru>
+ * SPDX-License-Identifier: GPL-2.0-or-later
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published
diff --git a/src/src/auths/dovecot.h b/src/src/auths/dovecot.h
index bfe1f0775..b5eaf4f16 100644
--- a/src/src/auths/dovecot.h
+++ b/src/src/auths/dovecot.h
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainters 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/external.c b/src/src/auths/external.c
index 7e7fca841..736c33982 100644
--- a/src/src/auths/external.c
+++ b/src/src/auths/external.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2019-2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file provides an Exim authenticator driver for
 a server to verify a client SSL certificate, using the EXTERNAL
diff --git a/src/src/auths/external.h b/src/src/auths/external.h
index 7d43650bb..9abb46a6b 100644
--- a/src/src/auths/external.h
+++ b/src/src/auths/external.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2019 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/get_data.c b/src/src/auths/get_data.c
index e0d79db3c..0c85d2651 100644
--- a/src/src/auths/get_data.c
+++ b/src/src/auths/get_data.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/get_no64_data.c b/src/src/auths/get_no64_data.c
index a019756e5..76f421473 100644
--- a/src/src/auths/get_no64_data.c
+++ b/src/src/auths/get_no64_data.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/gsasl_exim.c b/src/src/auths/gsasl_exim.c
index e49e83b81..aac9c84e6 100644
--- a/src/src/auths/gsasl_exim.c
+++ b/src/src/auths/gsasl_exim.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2019 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Copyright (c) Twitter Inc 2012
    Author: Phil Pennock <pdp@exim.org> */
diff --git a/src/src/auths/gsasl_exim.h b/src/src/auths/gsasl_exim.h
index 19c903611..691d7d706 100644
--- a/src/src/auths/gsasl_exim.h
+++ b/src/src/auths/gsasl_exim.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2019 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Copyright (c) Twitter Inc 2012 */
 
diff --git a/src/src/auths/heimdal_gssapi.c b/src/src/auths/heimdal_gssapi.c
index 381763299..12267e3fc 100644
--- a/src/src/auths/heimdal_gssapi.c
+++ b/src/src/auths/heimdal_gssapi.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Copyright (c) Twitter Inc 2012
    Author: Phil Pennock <pdp@exim.org> */
diff --git a/src/src/auths/heimdal_gssapi.h b/src/src/auths/heimdal_gssapi.h
index 49775aff9..031b580ef 100644
--- a/src/src/auths/heimdal_gssapi.h
+++ b/src/src/auths/heimdal_gssapi.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Copyright (c) Twitter Inc 2012
    Author: Phil Pennock <pdp@exim.org> */
diff --git a/src/src/auths/plaintext.c b/src/src/auths/plaintext.c
index 58d178359..61be5867e 100644
--- a/src/src/auths/plaintext.c
+++ b/src/src/auths/plaintext.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "plaintext.h"
diff --git a/src/src/auths/plaintext.h b/src/src/auths/plaintext.h
index 4c6d01136..49862ff9b 100644
--- a/src/src/auths/plaintext.h
+++ b/src/src/auths/plaintext.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/pwcheck.c b/src/src/auths/pwcheck.c
index 7dd529fbc..aff5ed39c 100644
--- a/src/src/auths/pwcheck.c
+++ b/src/src/auths/pwcheck.c
@@ -4,6 +4,7 @@
  * $Id: checkpw.c,v 1.49 2002/03/07 19:14:04 ken3 Exp $
  */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
+/* SPDX-License-Identifier: GPL-2.0-only */
 /*
  * Copyright (c) 2001 Carnegie Mellon University.  All rights reserved.
  *
diff --git a/src/src/auths/pwcheck.h b/src/src/auths/pwcheck.h
index 1287ea253..4247b4e8b 100644
--- a/src/src/auths/pwcheck.h
+++ b/src/src/auths/pwcheck.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file provides support for authentication via the Cyrus SASL pwcheck
 daemon (whence its name) and the newer saslauthd daemon. */
diff --git a/src/src/auths/spa.c b/src/src/auths/spa.c
index ff90d33a3..c5e6d83d5 100644
--- a/src/src/auths/spa.c
+++ b/src/src/auths/spa.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file, which provides support for Microsoft's Secure Password
 Authentication, was contributed by Marc Prud'hommeaux. Tom Kistner added SPA
diff --git a/src/src/auths/spa.h b/src/src/auths/spa.h
index ca93469a3..4321971d9 100644
--- a/src/src/auths/spa.h
+++ b/src/src/auths/spa.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file, which provides support for Microsoft's Secure Password
 Authentication, was contributed by Marc Prud'hommeaux. */
diff --git a/src/src/auths/tls.c b/src/src/auths/tls.c
index 325e7b4c7..d3ca8f796 100644
--- a/src/src/auths/tls.c
+++ b/src/src/auths/tls.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 1995 - 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file provides an Exim authenticator driver for
 a server to verify a client SSL certificate
diff --git a/src/src/auths/tls.h b/src/src/auths/tls.h
index 7aa95b6c7..24e116464 100644
--- a/src/src/auths/tls.h
+++ b/src/src/auths/tls.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/auths/xtextdecode.c b/src/src/auths/xtextdecode.c
index 746dfbdb4..39c1f2b60 100644
--- a/src/src/auths/xtextdecode.c
+++ b/src/src/auths/xtextdecode.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 
diff --git a/src/src/auths/xtextencode.c b/src/src/auths/xtextencode.c
index fc571c799..89f12f1f1 100644
--- a/src/src/auths/xtextencode.c
+++ b/src/src/auths/xtextencode.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 
diff --git a/src/src/base64.c b/src/src/base64.c
index fa06a7a34..14e8cfffe 100644
--- a/src/src/base64.c
+++ b/src/src/base64.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004, 2015 */
 /* License: GPL */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
diff --git a/src/src/blob.h b/src/src/blob.h
index a3f1e24d4..95a987f0a 100644
--- a/src/src/blob.h
+++ b/src/src/blob.h
@@ -2,6 +2,7 @@
  *  Blob - a general pointer/size item for a memory chunk
  *
  *  Copyright (C) 2016  Exim maintainers
+ *  SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef BLOB_H	/* entire file */
diff --git a/src/src/bmi_spam.c b/src/src/bmi_spam.c
index af4bc4640..140bec48f 100644
--- a/src/src/bmi_spam.c
+++ b/src/src/bmi_spam.c
@@ -6,6 +6,7 @@
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004
    License: GPL */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "exim.h"
 #ifdef EXPERIMENTAL_BRIGHTMAIL
diff --git a/src/src/bmi_spam.h b/src/src/bmi_spam.h
index a9af7784e..a9833b200 100644
--- a/src/src/bmi_spam.h
+++ b/src/src/bmi_spam.h
@@ -5,6 +5,7 @@
 /* Code for calling Brightmail AntiSpam.
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004
    License: GPL */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #ifdef EXPERIMENTAL_BRIGHTMAIL
 
diff --git a/src/src/buildconfig.c b/src/src/buildconfig.c
index bbbaefe9c..710b53550 100644
--- a/src/src/buildconfig.c
+++ b/src/src/buildconfig.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /*************************************************
diff --git a/src/src/child.c b/src/src/child.c
index 1f38b585c..b94e814a1 100644
--- a/src/src/child.c
+++ b/src/src/child.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "exim.h"
diff --git a/src/src/crypt16.c b/src/src/crypt16.c
index 56353c326..659bf88bd 100644
--- a/src/src/crypt16.c
+++ b/src/src/crypt16.c
@@ -2,6 +2,7 @@
  * Copyright (c) 2000-2002
  *   Chris Adams <cmadams@iruntheinter.net>
  *   written for HiWAAY Internet Services
+ * SPDX-License-Identifier: GPL-2.0-or-later
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
diff --git a/src/src/daemon.c b/src/src/daemon.c
index 8446f81cb..0afc7ca86 100644
--- a/src/src/daemon.c
+++ b/src/src/daemon.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with running Exim as a daemon */
 
diff --git a/src/src/dane.c b/src/src/dane.c
index 5ba61961a..f2ad22481 100644
--- a/src/src/dane.c
+++ b/src/src/dane.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2012, 2014 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module provides DANE (RFC6659) support for Exim.  See also
 the draft RFC for DANE-over-SMTP, "SMTP security via opportunistic DANE TLS"
diff --git a/src/src/dbfn.c b/src/src/dbfn.c
index ea94b7ff0..f932520f9 100644
--- a/src/src/dbfn.c
+++ b/src/src/dbfn.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "exim.h"
diff --git a/src/src/dbfunctions.h b/src/src/dbfunctions.h
index 07d4a6233..93e1d3405 100644
--- a/src/src/dbfunctions.h
+++ b/src/src/dbfunctions.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #ifndef DBFUNCTIONS_H
 #define DBFUNCTIONS_H
diff --git a/src/src/dcc.c b/src/src/dcc.c
index 56dd6d570..d8e22b30c 100644
--- a/src/src/dcc.c
+++ b/src/src/dcc.c
@@ -8,6 +8,7 @@
  * See the file NOTICE for conditions of use and distribution.
  *
  * Copyright (c) The Exim Maintainers 2015 - 2022
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* Code for calling dccifd. Called from acl.c. */
diff --git a/src/src/debug.c b/src/src/debug.c
index 26d09ea2f..38e8f8001 100644
--- a/src/src/debug.c
+++ b/src/src/debug.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2015 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "exim.h"
diff --git a/src/src/deliver.c b/src/src/deliver.c
index 725d0c872..719fa9d93 100644
--- a/src/src/deliver.c
+++ b/src/src/deliver.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* The main code for delivering a message. */
 
diff --git a/src/src/directory.c b/src/src/directory.c
index 189020855..c3b341bbb 100644
--- a/src/src/directory.c
+++ b/src/src/directory.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2010 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "exim.h"
 
diff --git a/src/src/dkim.c b/src/src/dkim.c
index bb916d2eb..9b6e14a3f 100644
--- a/src/src/dkim.c
+++ b/src/src/dkim.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge, 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Code for DKIM support. Other DKIM relevant code is in
    receive.c, transport.c and transports/smtp.c */
diff --git a/src/src/dkim.h b/src/src/dkim.h
index 7b94f22ef..61d83a9df 100644
--- a/src/src/dkim.h
+++ b/src/src/dkim.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge, 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 void    dkim_exim_init(void);
 gstring * dkim_exim_sign(int, off_t, uschar *, struct ob_dkim *, const uschar **);
diff --git a/src/src/dkim_transport.c b/src/src/dkim_transport.c
index cfd4b9085..142f4552a 100644
--- a/src/src/dkim_transport.c
+++ b/src/src/dkim_transport.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Transport shim for dkim signing */
 
diff --git a/src/src/dmarc.c b/src/src/dmarc.c
index 53c2752ac..c0313bf5c 100644
--- a/src/src/dmarc.c
+++ b/src/src/dmarc.c
@@ -5,6 +5,7 @@
    Copyright (c) The Exim Maintainers 2019 - 2022
    Copyright (c) Todd Lyons <tlyons@exim.org> 2012 - 2014
    License: GPL */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Portions Copyright (c) 2012, 2013, The Trusted Domain Project;
    All rights reserved, licensed for use per LICENSE.opendmarc. */
diff --git a/src/src/dmarc.h b/src/src/dmarc.h
index 899cd7e13..f71f1fd5a 100644
--- a/src/src/dmarc.h
+++ b/src/src/dmarc.h
@@ -6,6 +6,7 @@
    Copyright (c) The Exim Maintainers 2021 - 2022
    Copyright (c) Todd Lyons <tlyons@exim.org> 2012 - 2014
    License: GPL */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Portions Copyright (c) 2012, 2013, The Trusted Domain Project;
    All rights reserved, licensed for use per LICENSE.opendmarc. */
diff --git a/src/src/dns.c b/src/src/dns.c
index 4071c5822..8106fb688 100644
--- a/src/src/dns.c
+++ b/src/src/dns.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions for interfacing with the DNS. */
 
diff --git a/src/src/dnsbl.c b/src/src/dnsbl.c
index db839af04..af80f6be1 100644
--- a/src/src/dnsbl.c
+++ b/src/src/dnsbl.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with dnsbls */
 
diff --git a/src/src/drtables.c b/src/src/drtables.c
index 30eb855e3..a6cbede89 100644
--- a/src/src/drtables.c
+++ b/src/src/drtables.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "exim.h"
diff --git a/src/src/dummies.c b/src/src/dummies.c
index 38b514b6c..a72767ccd 100644
--- a/src/src/dummies.c
+++ b/src/src/dummies.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file is not part of the main Exim code. There are little bits of test
 code for some of Exim's modules, and when they are used, the module they are
diff --git a/src/src/enq.c b/src/src/enq.c
index f7f8c9c16..054aeaed8 100644
--- a/src/src/enq.c
+++ b/src/src/enq.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with serialization. */
 
